function OUT=LIMI(Input)%#codgen
  for i=1:length(Input)
      if abs(Input(i,1))>1
          Input(i,1)=sign(Input(i,1));
      end
       if abs(Input(i,2))>1
          Input(i,2)=sign(Input(i,2));
       end 
  end
  OUT=Input;
end